Bug 67713 - RFE: Warn user if the final partitioning scheme configured will leave space unavaiable
RFE: Warn user if the final partitioning scheme configured will leave space u...
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-30 13:20 EDT by Jeffery Fields
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-30 13:20:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffery Fields 2002-06-30 13:20:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When allocating disk partitions on large logical disk volumes it is possible 
that disk druid will leave unreclaimable free space in the with certain input 
paramters. No linux utility including disk druid, sfdisk or fdisk can reclaim 
this space, and unless a third party's vendor product like Partition Magic is 
used, the only recourse to reclaim the space is to install RedHat from scratch.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Begin RedHat install on a large disk or large disk volume, 20 Gigs or 
greater.
2. When Disk Druid comes up select the disk or disk volume to begin the 
install. You may have to delete an existing partition if you have used a 
Windows utility to partition the disk or disk volume.
3. Allocate /boot filsys partition 50 - 200 Megs, and select primary option.
4. Allocate swap 512 Meg - 1 Gig, again with primary option.
5. Allocate root file system, 8 Gigs or greater. Select primary option.
6. Attempt to allocate any file system partition of any size for the remaining 
free space.
	

Actual Results:  Disk Druid will not let the user allocate any more partitions, 
even though there is at least 11 Gigs of free space on the disk volume.

Expected Results:  Disk Druid should impose rules about primary partition 
allocations or provide suggestions about reallocating the space to avoid 
unallocatable free space on the volume. The simplest, most user friendly, would 
be if disk druid upon seeing that the user entered 8 Gig partition for root 
fsys to automatically allocate all the remaining free space for the root file 
system, and display a prompt to the user to accept this partitioning scheme. 
Disk Druid should minimally display a warning message that if the user proceeds 
with the current allocation, that it would leave several Gigs of unreclaimable 
free space on the volume.

Additional info:
Comment 1 Michael Fulbright 2002-07-01 16:12:42 EDT
You are correct a user could encounter a problem. However, some partitioning
knowledge is assumed if you start picking 'Force to be primary'. Left alone Disk
Druid will use an extended partition and should avoid the problem you are
describing if I understand correctly.

We will consider this request for a future release. It would be a nice touch.

Note You need to log in before you can comment on or make changes to this bug.